aboutsummaryrefslogtreecommitdiff
path: root/scripts/test.sh
diff options
context:
space:
mode:
authorRob Landley <rob@landley.net>2013-10-15 00:57:39 -0500
committerRob Landley <rob@landley.net>2013-10-15 00:57:39 -0500
commit26f52eb13eb27c5aefdb644d96408376b5d63783 (patch)
tree793afa57fd2d9a3f70e3955c0ddf5c84d6c1c3fb /scripts/test.sh
parentc50057e5be75b65c2359803ecc776378b44f2e3f (diff)
downloadtoybox-26f52eb13eb27c5aefdb644d96408376b5d63783.tar.gz
Teach scripts/test.sh to call scripts/single.sh.
Diffstat (limited to 'scripts/test.sh')
-rwxr-xr-xscripts/test.sh7
1 files changed, 6 insertions, 1 deletions
diff --git a/scripts/test.sh b/scripts/test.sh
index 19f860b4..48a5bf3b 100755
--- a/scripts/test.sh
+++ b/scripts/test.sh
@@ -7,7 +7,12 @@ mkdir -p testdir
if [ -z "$TEST_HOST" ]
then
- make install_flat PREFIX=testdir || exit 1
+ if [ $# -ne 0 ]
+ then
+ PREFIX=testdir/ scripts/single.sh "$@" || exit 1
+ else
+ make install_flat PREFIX=testdir || exit 1
+ fi
fi
cd testdir